Subject: Re: Adminrest: created IPR

From: [email-masked] (Scott Bradner)
Date: Fri, 3 Dec 2004 10:02:17 -0500 (EST)

fwiw - I agree with Bert's suggestions and worries

---
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: Harald Tveit Alvestrand <[email-masked]>,
	Henrik Levkowetz <[email-masked]>, [email-masked]
Cc: Carl Malamud <[email-masked]>, Scott Bradner <[email-masked]>
Subject: RE: Adminrest:  created IPR
Date: Fri, 3 Dec 2004 15:30:12 +0100 

Inline, personal opinion

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Harald Tveit Alvestrand
> Sent: Friday, December 03, 2004 10:34
> To: Henrik Levkowetz; [email-masked]
> Cc: Carl Malamud; Scott Bradner
> Subject: Re: Adminrest: created IPR
> 
> --On fredag, desember 03, 2004 10:19:23 +0100 Henrik Levkowetz 
> <[email-masked]> wrote:
> 
> >
> > What about this text, (added to 2.2.6):
> >
> >    "As a matter of principle the IAOC and IAD should ensure that any
> >    contracts for IASA clearly designate that any software, databases,
> >    and websites developed should be available to the IETF with no

I guess you/we mean "specifically developed for IETF", right?
We do not need to require that if a contracted offers exisiting software
that they developed but that fits our needs, do we?

> >    restriction by the contractor.  Software should be open source and

"should be open source" ??
It does leave open that it is not mandatory. But it still sounds as 
a very strong statement. If a contractor develops specific software
for us, I'd be OK if we can get it at any time for IETF use, but I am 
not sure we should require it to be or become open source should we?

> >    data should be made available to the IETF in machine-readable
> >    format, also in cases where it may be inadvisable to make the data
> >    openly available."
> >
We have a bad experience where we are not getting access to
our database backups (in order to just test if it is complete and if
we can create a new  working environment in case of a disaster).
That seems bad. So I'd like to see in those contracts that IETF can
get a copy at any time they want for whatever reason they want.

Not sure that needs to be in the BCP. It seems basic stuff to me
when you do contracts. 

> this works for me (my only problem is stylistic - it's 
> somewhat long for a principle, so may fit better in the
> "details" sections, if a  place can be found for it).
> 
I'd prefer to keep it to a (short) principle if possible.

Bert

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf